Permalink
Browse files

Document Kerberos support limitations PYTHON-465

  • Loading branch information...
1 parent a59255f commit 95538d61c596f80e4f804549d98ad39f0fff8afa @behackett behackett committed Feb 26, 2013
Showing with 6 additions and 1 deletion.
  1. +6 −1 doc/faq.rst
View
@@ -320,7 +320,7 @@ just that field::
How do I use Kerberos authentication with PyMongo?
--------------------------------------------------
-GSSAPI (Kerberos) authentication is available in the subscriber addition of
+GSSAPI (Kerberos) authentication is available in the subscriber edition of
MongoDB, version 2.4 and newer. To authenticate using GSSAPI you must first
install the python `kerberos module`_ using easy_install or pip. Make sure
you run kinit before using the following authentication methods::
@@ -350,4 +350,9 @@ or using :meth:`~pymongo.database.Database.authenticate`::
>>> db.authenticate('mongodbuser@EXAMPLE.COM', mechanism='GSSAPI')
True
+.. note::
+ Kerberos support is only provided in environments supported by the python
+ `kerberos module`_. This currently limits support to CPython 2.x and Unix
+ environments.
+
.. _kerberos module: http://pypi.python.org/pypi/kerberos

0 comments on commit 95538d6

Please sign in to comment.